#ifndef INPUT_FRAME_PROVIDER_IFACE_H
#define INPUT_FRAME_PROVIDER_IFACE_H

#include "opencv2/core/core.hpp"
#include <string>


class InputFrameProviderIface
{
public: 	
  virtual ~InputFrameProviderIface(){}
  virtual bool getNextFrame(cv::Mat&)=0;
  virtual unsigned int getNbFrames() = 0;	
  virtual bool isOpen() const = 0;
  virtual void setFrameNumber(const unsigned int& frameNumber) = 0;
  virtual const cv::Size& getSize() const = 0;
};

#endif
